# openstack.block_storage.v3.limits

## The AbsoluteLimit Class

The `AbsoluteLimit` class inherits from `Resource`.

class openstack.block_storage.v3.limits.AbsoluteLimit(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  max_total_backup_gigabytes

    The maximum total amount of backups, in gibibytes (GiB).

  max_total_backups

    The maximum number of backups.

  max_total_snapshots

    The maximum number of snapshots.

  max_total_volume_gigabytes

    The maximum total amount of volumes, in gibibytes (GiB).

  max_total_volumes

    The maximum number of volumes.

  total_backup_gigabytes_used

    The total number of backups gibibytes (GiB) used.

  total_backups_used

    The total number of backups used.

  total_gigabytes_used

    The total number of gibibytes (GiB) used.

  total_snapshots_used

    The total number of snapshots used.

  total_volumes_used

    The total number of volumes used.

## The Limits Class

The `Limits` class inherits from `Resource`.

class openstack.block_storage.v3.limits.Limits(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'limits'

    Singular form of key for resource.

  base_path = '/limits'

    The base part of the URI for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  absolute

    An absolute limits object.

  rate

    Rate-limit volume copy bandwidth, used to mitigate slow down of data access from the instances.

## The RateLimit Class

The `RateLimit` class inherits from `Resource`.

class openstack.block_storage.v3.limits.RateLimit(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  next_available

    Rate limits next availabe time.

  remaining

    Integer for rate limits remaining.

  unit

    Unit of measurement for the value parameter.

  value

    Integer number of requests which can be made.

  verb

    An HTTP verb (POST, PUT, etc.).

## The RateLimits Class

The `RateLimits` class inherits from `Resource`.

class openstack.block_storage.v3.limits.RateLimits(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  limits

    A list of the specific limits that apply to the `regex` and `uri`.

  regex

    A regex representing which routes this rate limit applies to.

  uri

    A URI representing which routes this rate limit applies to.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.